martes, 9 de abril de 2013

Actualizar ADT en eclipse

25 comentarios
Para todos los programadores de Android que en alguna ocasión habéis recibido un mensaje de error a la hora de crear un proyecto en Android y que nos dice algo así como: 

"This Android SDK requires Android Developer Toolkit version 2X.X.X or above. Current version is XX.X.X.v....- Please update ADT to the latest version."

Éste error es debido que al actualizar el SDK de Android desde el SDK Manager, tenemos que actualizar el plugin ADT de eclipse, ya que éste queda desfasado para dicha versión. Para ello tenemos que realizar los siguientes pasos:

Descargar el Plugin ADT:

Iniciar Eclipse, y seleccionar Help > Install New Software.
Click en Add, arriba a la derecha.
En el cuadro de diálogo Add (Añadir) repositorio que aparece, introduce un nombre para identificarlo en futuras actualizaciones, en mi caso he puesto “Actualizar eclipse” y la siguiente dirección URL para la ubicación: https://dl-ssl.google.com/android/eclipse/


Click en OK.


En el cuadro de diálogo de software disponibles, selecciona la casilla junto a Developer Tools (Herramientas de Desarrollo) y pulsa en Next (Siguiente).
En la siguiente ventana, verás una lista de las herramientas necesarias para ser descargadas. Pulsa en Next (Siguiente). "Leer" (creo que nadie lo hace ;-p) y aceptar los acuerdos de licencia y pulsa en Finish (Finalizar).

Durante el proceso de instalación vas a recibir una advertencia de seguridad diciendo que la autenticidad o validez del software no se puede establecer, ha clic en Aceptar.
Cuando la instalación esté completa, hay que reiniciar Eclipse .

Configurando el Plugin ADT:

Una vez que hayas instalado y reiniciado el ADT Eclipse, debes especificar la ubicación del directorio Android SDK:
Selecciona Window > Preferences… para abrir el panel de preferencias
Selecciona Android en el panel de la izquierda.

Es posible que se te aparezca un cuadro de diálogo que te pregunta si deseas enviar estadísticas de uso a Google. Si es así, puedes aceptarlo o no, eso depende de cada uno, aunque la decisión que tomes podrás cambiarlo más adelante, y pulsa en Proceed (Continuar). Para la ubicación de SDK en el panel principal, haz clic en Browse (Examinar) y localiza el directorio donde descargaste y descomprimiste Android SDK.
Luego pulsa en Apply (Aplicar), y luego OK.

Si no ha habido ningún error, ya se ha instalado el ADT y podréis continuar con el siguiente paso de la instalación del SDK.

Y con ésto ya tendrás actualizado el SDK de Android y el ADT en el eclipse.

Espero que les sirva de ayuda.

Saludos!!

25 Comentarios

  1. Anónimo dice:

    Exelente Gracias

  2. Anónimo dice:

    gracias me sirvio

  3. Gracias a todos por visitar el blog

  4. Anónimo dice:

    Gracias excelente y me sirvió =)

  5. Anónimo dice:

    gracias si me sivio

  6. Esta información ha sido muy útil, gracias por publicarla. :) Bendiciones

  7. Gracias justo me sirvio ,mucho gracias!!! :D

  8. Xosé Sánchez dice:

    No quiero repetir opiniones, pero... ¡Muchísimas gracias! Gran tutorial; y me sirvió mucho, que estaba medio empantanado.

  9. Gracias a todos ustedes por seguir el blog. Intentaré seguir colgando cositas poco a poco.

    Un saludo ;-)

  10. kaliman dice:

    Gracias hermano,no hubo la necesidad de especificar el directorio del SDK gracias.

  11. Chemita dice:

    Gracias! Algo que hay que hacer de vez en cuando sin perder la configuracion

  12. Dios te lo page con una buena mujer si no la tienes ya me estaba volviendo locoo!!

  13. Jejeje, muchas gracias Álvaro ;-)

  14. Anónimo dice:

    Muchas gracias!

  15. Anónimo dice:

    Muchas gracias por tu ayuda me salvaste el día!

  16. Muchas gracias, me ha servido de mucha ayuda, estaba bloqueado ;)

  17. krhis dice:

    Hola!! al actualizar tengo el siguiente error
    Cannot satisfy dependency:
    From: Android Developer Tools 21.0.0.201211150046 (com.android.ide.eclipse.adt.package.product 21.0.0.201211150046)
    To: com.android.ide.eclipse.adt.package.feature.group [21.0.0.201211150046]

    gracias. Saludos

  18. Hola krhis, ¿sobre que sistema operativo estás? ¿Windows, linux,....? ¿qué versión de eclipse tienes? Tiene pinta de ser fallo del repositorio de la versión de eclipse. Intenta descargar la última versión del ADT a ver si con eso se soluciona y y nos dices que tal.

    Un saludo ;-)

  19. krhis dice:

    Hola!! estoy sobre windows 7 64 bits y la version de eclipse es Juno Version: 4.2.1.v20120814-120134-9JF7BHVGFyMveli1uX6aTH0q-eAap6PAgOP5mO
    Build id: M20120914-1800
    Probare lo que me recomandeste y aviso como me fue. gracias
    Saludos

  20. Anónimo dice:

    Cannot complete the install because of a conflicting dependency.
    Software being installed: Android DDMS 23.0.6.1720515 (com.android.ide.eclipse.ddms.feature.feature.group 23.0.6.1720515)
    Software currently installed: Android Developer Tools 22.6.2.v201403212031-1085508 (com.android.ide.eclipse.adt.package.product 22.6.2.v201403212031-

    a que se debe que no pueda actualizarlo?

  21. Buenas,

    te dejo algunos enlaces donde plantean algunas soluciones, per tiene pinta de ser algún bug en el paquete:

    http://stackoverflow.com/questions/7472966/cannot-complete-the-install-because-of-a-conflicting-dependency

    http://stackoverflow.com/questions/24583267/android-cannot-complete-the-install-because-of-a-conflicting-dependency

    Espero que lo puedas solucionar.

    Saludos

  22. Anónimo dice:

    lo de Cannot complete the install because of a conflicting dependency.
    lo pude solucionar desinstalando la version anterior(windwo/preferences/"install/update"/uninstall or update[es como un link]->
    seleccionan todo lo que sea de la version anterior[ej: 21.0] -> uninstall)
    Después instalan la versión nueva (help/install new software/https://dl-ssl.google.com/android/eclipse/) y listo
    En mi caso no pude instalar el "trace for opengl" pero lo destilde y pude instalar el resto de las cosas que necesitaba

  23. Muchas gracias por la aportación.

    Saludos :)

  24. Anónimo dice:

    Me sirvió gracias...buen aporte

Dejar un comentario